var guideListModule = angular.module('guideListApp', ['ngAnimate']);
var rowCnt = 8; // 默认显示10条
var currentTypeId;
guideListModule.controller('guideListController', function($scope, $http) {

	$scope.loadGuideList = loadGuideListData;
	$scope.loadGuideTypeList = loadGuideTypeListData;
	$scope.reloadGuideList = reloadGuideListData;
	$scope.toGuideInfo = toGuideInfo;
	


	function loadGuideTypeListData() { // 负责读取服务器拿数据，注意rowCnt是拿几多条数据
		var urlBase = "http://www.zjianli.com/guideType/guideTypeListJson?pager=false";
	
		$http({
			method: 'GET',
			url: urlBase,
			data: {}
		}).success(function(responseData) {
			if(responseData.rows.length < 1){
				mui.toast("还没有记录");
			}
			$scope.guideTypeList = responseData.rows;

		}).error(function(responseData, status, headers, config) {
			console.log("读取数据失败")
			console.log(responseData);
		}); //end calling
	}

	function loadGuideListData(guideTypeId) { // 负责读取服务器拿数据，注意rowCnt是拿几多条数据
		var urlBase = "http://www.zjianli.com/guide/guideListJson?pager=true&page=1&rows=" + rowCnt;
		if ((guideTypeId != undefined) && (guideTypeId!=0)){
			urlBase += "&guide.guideType.id=" + guideTypeId + "&&guide.enabled=1";
		}
		
		$http({
			method: 'GET',
			url: urlBase,
			data: {}
		}).success(function(responseData) {
			$scope.guideList = responseData.rows;
			if(window.plus){
				plus.nativeUI.closeWaiting();
			}
			
	
		}).error(function(responseData, status, headers, config) {
			console.log("读取失败")
			console.log(responseData);
		}); //end calling
		
	}



	function reloadGuideListData(guideTypeId, guideTypeName) {
		$("#guideTypeBtn").html(guideTypeName);
		rowCnt = 8;
		currentTypeId = guideTypeId;
		plus.nativeUI.showWaiting();
		loadGuideListData(guideTypeId);
		
		mui('#rightPopover').popover('toggle');
	}



	function addGuideListData() {
			rowCnt += 8;
			loadGuideListData(currentTypeId);
			this.endPullupToRefresh(false);
		} //end aa





	mui.init({
		pullRefresh: {
			container: '.mui-content', //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
			up: {
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: addGuideListData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			}
		}
	});

	function toGuideInfo(guide) {
		var guideListView = (plus.webview.getWebviewById("guideList"));
		mui.openWindow({
			url: 'guideInfo.html',
			id: 'guideInfo',
			styles: {
				left: 0,
				width: '100%',
				zindex: 222
			},
			extras: {
				guide: guide

			}


		})
	}




});