var instanceListModule = angular.module('instanceListApp', ['ngAnimate']);
var rowCnt = 8; // 默认显示10条
var currentTypeId;
instanceListModule.controller('instanceListController', function($scope, $http) {

	$scope.loadInstanceList = loadInstanceListData;
	$scope.loadInstanceTypeList = loadInstanceTypeListData;
	$scope.download = download;
	$scope.setInstanceType = setInstanceType;
	$scope.setFilePageType = setFilePageType;
	$scope.setFileType = setFileType;

	var typeId = 0;
	var fileType = "全部格式";
	var filePageType = "全部长度";


	function loadInstanceTypeListData() { // 负责读取服务器拿数据，注意rowCnt是拿几多条数据
		var urlBase = "http://www.zjianli.com/instanceType/instanceTypeListJson?pager=false";

		$http({
			method: 'GET',
			url: urlBase,
			data: {}
		}).success(function(responseData) {
			$scope.instanceTypeList = responseData.rows;

		}).error(function(responseData, status, headers, config) {
			mui.toast("读取数据失败")
			console.log(responseData);
		}); //end calling
	}

	function loadInstanceListData() { // 负责读取服务器拿数据，注意rowCnt是拿几多条数据
		var urlBase = "http://www.zjianli.com/instance/instanceListJson?instance.enabled=1&pager=true&page=1&rows=" + rowCnt;
		if ((typeId != undefined) && (typeId!=0)) {
			urlBase += "&instance.instanceType.id=" + typeId;
		}
		if ((fileType!=undefined) && (fileType!="全部格式")) {
			urlBase += "&instance.fileType=" + fileType;
		}
		if ((filePageType!=undefined) && (filePageType!="全部长度")) {
			urlBase += "&instance.filePageType=" + filePageType;
		}
		
		urlBase+= "&sort=visitCnt&order=desc"
		// console.log(urlBase)

		$http({
			method: 'GET',
			url: urlBase,
			data: {}
		}).success(function(responseData) {
			$scope.instanceList = responseData.rows;
			if(responseData.rows.length < 1){
				mui.toast("还没有记录");
			}
			if(window.plus){
				plus.nativeUI.closeWaiting();
			}

		}).error(function(responseData, status, headers, config) {
			mui.toast("读取失败")
			console.log(responseData);
		}); //end calling

	}



	function setInstanceType(instanceTypeId, instanceTypeName) {
		$("#typeBtn").html(instanceTypeName);
		typeId = instanceTypeId;
		rowCnt = 8;
		plus.nativeUI.showWaiting();
		loadInstanceListData();
		mui('#typePopover').popover('toggle');
	}

	function setFilePageType(filePageTypeName) {
		$("#filePageTypeBtn").html(filePageTypeName);
		filePageType = filePageTypeName;
		rowCnt = 8;
		plus.nativeUI.showWaiting();
		loadInstanceListData();
		mui('#filePageTypePopover').popover('toggle');
	}

	function setFileType(fileTypeName) {
		$("#fileTypeBtn").html(fileTypeName);
		fileType = fileTypeName;
		rowCnt = 8;
		plus.nativeUI.showWaiting();
		loadInstanceListData();
		mui('#fileTypePopover').popover('toggle');
	}



	function addInstanceListData() {
			rowCnt += 8;
			loadInstanceListData();
			this.endPullupToRefresh(false);
		} //end aa




	mui.init({
		pullRefresh: {
			container: '.mui-content', //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
			up: {
				contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: addInstanceListData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			}
		}
	});

	function download(id, fileUrl) {
		mui.confirm('您确认要下载这个模版吗？：', function(e) {
			if (e.index == 0) {
				var downUrl = "http://www.zjianli.com/" + fileUrl;
				window.location = downUrl;

				var addCntUrl = "http://www.zjianli.com/instance/instanceaAddCntJson?instance.id=" + id

				mui.toast('正在下载一个模板...');
				$http({
					method: 'GET',
					url: addCntUrl,
					data: {}
				}); //end calling


			} else {
				mui.toast('取消下载');
			}
		})
	}

});